function getInitLatitude(){
	var lat = window.localStorage.getItem('last_lat');
	if(lat!=null){
		lat = parseFloat(lat);
	}
	return lat;
}

function getInitLongitude(){
	var lng = window.localStorage.getItem('last_lng');
	if(lng!=null){
		lng = parseFloat(lng);
	}
	return lng;
}

function getInitZoom(){
	var zoomLevel = window.localStorage.getItem('last_zoom_level');
	if(zoomLevel==null){
		zoomLevel = 13;
	}
	else {
		zoomLevel = parseInt(zoomLevel);
	}
	return zoomLevel;
}

function showAndroidToast(toast) {
	Android.showToast(toast);
}

function showUnlockNotice(){
    if($('#marquee_div').is(':visible')){
        $("#unlock_notice").css("bottom", "70px");
    }
    else{
        $("#unlock_notice").css("bottom", "25px");
    }
	$("#unlock_notice").show();
}

function hideUnlockNotice(){
	$("#unlock_notice").hide();
}

function changeNoticeWords(words){
	$("#unlock_notice").text(words);
}

function showElementsAfterMapLoaded(){
	$("#center_point").show();
	var screenWidth = screen.width;
	$("#pac-input").css('margin-left', Math.floor(screenWidth*0.1));
	$("#pac-input").css('margin-right', Math.floor(screenWidth*0.1));
	$("#pac-input").width(Math.floor(screenWidth*0.8));
	$("#pac-input").show();
}

function enableAndroid(){
	Android.enableAndroid();
}

function clearLocationInput(){
	$("#pac-input").val("");
}

function getPositionFromAndroid(){
	Android.getPositionFromGaodeSdk();
}

function getScreenHeightFromAndroid(){
    Android.getScreenHeight();
}

function setSearchInputTopMargin(value){
    $("#search_div").css('margin-top', value);
}

function setUnlockNoticeStyleWhenLargeScreen(){
    $("#unlock_notice").css('font-size', '24px');
}

function showMarqueeDiv() {
    $('#marquee_div').show();
}

function hideMarqueeDiv() {
    $('#marquee_div').hide();
}

function closeMarquee() {
	hideMarqueeDiv();
}

function clickMarquee() {
    Android.jumpToAppRecommendationLink();
}

function showAppRecommendation(msg) {
    $('#marquee_text').text(msg);
    showMarqueeDiv();
}
